### Enumeration

# Qmi NasNetworkNameSource

since: 1.24

#### Declaration

    enum Qmi.NasNetworkNameSource

#### Description [src]

Network name source.

Available since: 1.24

#### Members

`QMI_NAS_NETWORK_NAME_SOURCE_UNKNOWN`

  Unknown.

  - Value: `0`
  - Available since: 1.24
`QMI_NAS_NETWORK_NAME_SOURCE_OPERATOR_PLMN_LIST_AND_PLMN_NETWORK_NAME`

  Operator PLMN list and PLMN network name.

  - Value: `1`
  - Available since: 1.24
`QMI_NAS_NETWORK_NAME_SOURCE_COMMON_PCN_HANDSET_SPECIFICATION_AND_OPERATOR_NAME_STRING`

  Common PCN handset specification and operator name string.

  - Value: `2`
  - Available since: 1.24
`QMI_NAS_NETWORK_NAME_SOURCE_NITZ`

  Network identity and time zone.

  - Value: `3`
  - Available since: 1.24
`QMI_NAS_NETWORK_NAME_SOURCE_SE13`

  GSMA SE13 table.

  - Value: `4`
  - Available since: 1.24
`QMI_NAS_NETWORK_NAME_SOURCE_MCC_MNC`

  MCC and MNC.

  - Value: `5`
  - Available since: 1.24
`QMI_NAS_NETWORK_NAME_SOURCE_SERVICE_PROVIDER_NAME`

  Service provider name.

  - Value: `6`
  - Available since: 1.24

#### Type functions

###### qmi_nas_network_name_source_get_string

Gets the nickname string for the `QmiNasNetworkNameSource` specified at `val`.

since: 1.24